WordPress.org

Ready to get started?Download WordPress

Forums

Advanced AJAX Page Loader
[resolved] AAPL_search_class is not defined (4 posts)

  1. bitoolean
    Member
    Posted 1 year ago #

    After updating AAPL to from version 2.5.9 to 2.5.12, it doesn't work anymore. I checked the JS console of my browser and the following error is caught at line 57: "AAPL_search_class is not defined". The concerning line contains this piece of code:
    jQuery('.' + AAPL_search_class).each(function(index) {

    I've recently updated WordPress and AAPL version 2.5.9 would prompt "Cmon guys, your jQuery version is outdated. I can see version 1.8", so I removed the part of code that does the checking within the jQuery document load event (the entire conditional, because I was getting JS errors about AAPL_warnings being undefined as well), but I don't think that has anything to do with the error, or does it:

    if (AAPL_warnings == true) {
    	AAPL_jqVersion = jQuery().jquery;
    	if (AAPL_jqVersion.substr(0,3) != "1.7") {
    		alert("cmon guys, your jQuery version is outdated, please update it - I can see version: " + AAPL_jqVersion);
    	}
    }

    The old version of AAPL (2.5.9) still works. When I replace the plugin files with those from version 2.5.12 however, it doesn't work. (I went back to the old version and it works, then again to the new one without success). I've emptied both the server-side and the client-side caches after every update. Do I need to delete reload_code.js after updating the plugin in order for it to be regenerated? I should also mention automatic update doesn't work (probably because of the PHP max execution time of 10 seconds), so I needed to replace the files manually.

    http://wordpress.org/extend/plugins/advanced-ajax-page-loader/

  2. bitoolean
    Member
    Posted 1 year ago #

    Please ignore this thread...

  3. Dean Williams
    Member
    Plugin Author

    Posted 1 year ago #

    I'm releasing 2.5.14 which will disable this warning unless you enable the debug mode!

    However how did you fix your problem?

  4. bitoolean
    Member
    Posted 1 year ago #

    I've marked this topic as resolved and asked people to ignore it because I started a newer one where I explained things more clearly. I can't delete the thread, but if anyone can, please do so.

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic

Tags

No tags yet.